Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1662333 - While importing VMs the user gets misleading message about missing templates
Summary: While importing VMs the user gets misleading message about missing templates
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.3.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 19:13 UTC by Polina
Modified: 2020-06-26 16:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:06 UTC
oVirt Team: Virt
rbarry: ovirt-4.5?


Attachments (Terms of Use)
screenshot (212.67 KB, image/png)
2018-12-27 19:13 UTC, Polina
no flags Details

Description Polina 2018-12-27 19:13:52 UTC
Created attachment 1517112 [details]
screenshot

Description of problem: While importing VMs the user gets a misleading message about missing templates


Version-Release number of selected component (if applicable):


How reproducible:100%


Steps to Reproduce:
1. export both template and VM created with this template in 4.2 and then import in 4.3 first the template and then the VM.

Actual results: After the template in successfully imported, I still get the message saying that there is no template for the VMs I'm going to import (please see attached import.png). 
Despite this message the VMs are successfully imported.

Expected results: since the template is successfully imported, the user must just successfully import the VM with no misleading message in red.


Additional info:

Comment 1 Steven Rosenberg 2019-01-02 08:59:27 UTC
The warning is misleading:

"Some imported VMs depend on one or more templates which are not available in the system. Therefore you must Import those VMs with 'collapse snapshots', another option is to Import missing templates first and then try import the VMs again"

The warning is that the original Storage Domain is missing as per the name of the variable in the code: 

importMissingStorages

Once we press the OK button, the VMs and Tempalte(s) are imported correctly and then run correctly, so we are compensating for the different storage domain by including the VMs in the existing Storage Domain.

The issue is whether to remove the warning all together or if there is some added value in rewording the the error such as "Some imported VMs depended upon one or more Storage Domain(s) that are missing from the current system. The dependencies shall be reassigned when continuing."

Please advise.

Comment 2 Martin Tessun 2019-01-09 10:14:27 UTC
(In reply to Steven Rosenberg from comment #1)
> The warning is misleading:
> 
> "Some imported VMs depend on one or more templates which are not available
> in the system. Therefore you must Import those VMs with 'collapse
> snapshots', another option is to Import missing templates first and then try
> import the VMs again"
> 
> The warning is that the original Storage Domain is missing as per the name
> of the variable in the code: 
> 
> importMissingStorages
> 
> Once we press the OK button, the VMs and Tempalte(s) are imported correctly
> and then run correctly, so we are compensating for the different storage
> domain by including the VMs in the existing Storage Domain.
> 
> The issue is whether to remove the warning all together or if there is some
> added value in rewording the the error such as "Some imported VMs depended
> upon one or more Storage Domain(s) that are missing from the current system.
> The dependencies shall be reassigned when continuing."
> 

I would remove the warning altogether, as it is of no real use. In case you had the VM exported from a different RHV environment it is likely to have different SDs in the destination environment.
With CFME we also have the ability to do a source SD -> Destination SD mapping for the import. Having the disks imported to the first available storage domain if nothing is specifically set, seems ok to me.

Comment 3 Michal Skrivanek 2020-03-18 15:43:47 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 4 Michal Skrivanek 2020-03-18 15:47:01 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 5 Michal Skrivanek 2020-04-01 14:47:06 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.